Subject: Re: [PATCH V9] powerpc/fsl-pci: Unify pci/pcie initialization code

From: Scott Wood <[email-masked]>
Date: Thu, 23 Aug 2012 19:15:42 -0500

On 08/23/2012 04:31 AM, Jia Hongtao wrote:
> +static void mpc85xx_cds_pci_assign_primary(void)
> +{
> +#ifdef CONFIG_PCI
> +	struct device_node *np;
> +
> +	if (fsl_pci_primary)
> +		return;
> +
> +	/*
> +	 * MPC85xx_CDS has ISA bridge but unfortunately there is no
> +	 * isa node in device tree. We now looking for i8259 node as
> +	 * a temporary workaround for such a broken device tree.
> +	 * This can go away once the device tree is updated.
> +	 */

It cannot go away once the device tree is updated, because we maintain
support for old device trees within reason.  It's not like this is core
kernel code; the cost of having this compatibility here is minimal, even
if the device trees we're staying compatible with are technically
broken.  Compare that to customer support effort if this breaks
someone's custom board with a forked device tree, or if upgrading the
device tree breaks someone's old U-Boot.

-Scott